Squid install failed… packages-8.1-release/All/perl-5.12.4.tbz



  • Hi!

    After updating pfsense 2 to 2.0.1 Release I can no longer install squid and spits out the following:

    Beginning package installation for squid-reverse…
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading squid-reverse and its dependencies...
    Checking for package installation...
    Downloading http://files.pfsense.org/packages/amd64/8/All/squid-2.7.9_1.tbz ...  (extracting)

    Downloading http://files.pfsense.org/packages/amd64/8/All/perl-5.12.4.tbz ...  could not download from there or http://ftp2.FreeBSD.org/pub/FreeBSD/ports/amd64/packages-8.1-release/All/perl-5.12.4.tbz.
    of squid-2.7.9_1 failed!

    Installation aborted.Backing up libraries...
    Removing package...
    Starting package deletion for squid-2.7.9_1...done.
    Starting package deletion for squid_radius_auth-1.10...done.
    Starting package deletion for libwww-5.4.0_4...done.
    Removing squid-reverse components...
    Tabs items... done.
    Menu items... done.
    Services... done.
    Loading package instructions...
    Include file squid.inc could not be found for inclusion.
    Deinstall commands...
    Not executing custom deinstall hook because an include is missing.
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    Cleaning up... Failed to install package.

    Installation halted.

    Squid install failed. It is probably due to packages-8.1-release doesn't exist on any server? I tried accessing
    http://ftp2.FreeBSD.org/pub/FreeBSD/ports/amd64/packages-8.1-release/All/perl-5.12.4.tbz  and it is not found.

    browsing through folders http://ftp2.FreeBSD.org/pub/FreeBSD/ports/amd64/ shows no packages-8.1-release

    it only shows the following:

    packages/ 2011-Dec-29 06:18:10 -  Directory
    packages-10-current/ 2011-Dec-02 21:09:14 -  Directory
    packages-6-stable/ 2010-Nov-29 10:53:31 -  Directory
    packages-7-stable/ 2012-Jan-03 17:22:22 -  Directory
    packages-7.4-release/ 2011-Feb-09 18:48:29 -  Directory
    packages-8-stable/ 2012-Jan-01 12:33:24 -  Directory
    packages-8.2-release/ 2011-Feb-10 11:56:33 -  Directory
    packages-9-current/ 2011-Dec-29 06:18:10 -  Directory
    packages-9-stable/ 2011-Dec-29 06:18:10 -  Directory
    packages-9.0-release/ 2011-Dec-29 06:18:10 -  Directory
    packages-current/ 2011-Dec-02 21:09:14 -  Directory
    packages-stable/ 2011-Dec-29 06:18:10 -  Directory
    .message 2011-Dec-02 21:10:47 1.0K application/octet-stream

    Any fix for this?

    Thanks in advance!



  • See what perl version are available on files.pfsense.org. Could be just a minor version Fix on squid install.


Locked